/* 
 *    python-cad, a GL rendered, python scripted drawing engine
 *                  Copyright (C) 2002 by
 *
 *      Jaime Soffer             (jsoffer@soffernet.com)
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#ifndef ITEXTURE_H
#define ITEXTURE_H 1

#include "ierror.hpp"

class iTexture{
 private:

  iError err;

  unsigned char* data; // char holds 1 byte; be careful of implementation
  int tp;

 public:
  iTexture();
  ~iTexture();

  /**
  * Performs the adequate GL commands to initialize texturing.
  */
  void init(void);
  /**
  * Creates a black and white checkerboard on the video texture memory.
  */
  void makeCheckerboard(void);
};


#endif
