/* 
 *    python-cad, a GL rendered, python scripted drawing engine
 *                  Copyright (C) 2002, 2003 by
 *
 *      Jaime Soffer             (jsoffer@soffernet.com)
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#ifndef KFANDANGO_H
#define KFANDANGO_H

// Includes Python.h: must be included first
// #include <Python.h>

#include "qpyobject.hpp"
#include "kfandangowidget.hpp"
#include "kpyaction.hpp"
#include <kmenubar.h>
#include <kstdaccel.h>
#include <klocale.h>
#include <kiconloader.h>
#include <qvbox.h>
#include <kstatusbar.h>
#include <klineedit.h>
#include <kmainwindow.h>

#include <kkeydialog.h>
#include <kedittoolbar.h>
#include <kfiledialog.h>

/**
 *
 * The window application itself.
 *
 */
class KFandango : public KMainWindow
{
  Q_OBJECT

private:
  QPyObject* qpo;

  QVBox* qvb;
  KLineEdit* command;

  KToggleAction *statusbarAction;
  KToggleAction *toolbarAction;
  KToggleAction *menubarAction;

public:

  /**
   * Constructor
   * The KFandangoWidget* should be uninitialized, and only modified here.
   */
  KFandango( int, char**, QWidget*, const char*);

  /**
   * Wrapper to the python object
   */
  void initialize(bool b);

  /**
   * Destructor
   */
  virtual ~KFandango(void);

 public slots:
  void toggleToolbar(void);
  void toggleStatusbar(void);
  void toggleMenubar(void);
  void slotKeyBindings(void);
  void slotConfigureToolbars(void);
  void slotOpenFile(void);

  signals:
  void executeCommand(const QString &);

protected:

};

#endif
